import React from 'react';
import Button from './Button';
export default {
  title: 'Example/Button',
  component: Button
}; // Button Types

export var ButtonTypes = () => {
  return /*#__PURE__*/React.createElement("div", {
    style: {
      display: 'grid',
      gridTemplateColumns: 'auto 1fr 1fr 1fr 1fr',
      gap: '1rem',
      alignItems: 'center'
    }
  }, /*#__PURE__*/React.createElement("div", null), " ", /*#__PURE__*/React.createElement("div", null, "resting"), /*#__PURE__*/React.createElement("div", null, "disabled"), /*#__PURE__*/React.createElement("div", null, "hover"), /*#__PURE__*/React.createElement("div", null, "active"), /*#__PURE__*/React.createElement("div", null, "Default"), /*#__PURE__*/React.createElement(Button, null, "Default Button"), /*#__PURE__*/React.createElement(Button, {
    disabled: true
  }, "Default Button"), /*#__PURE__*/React.createElement(Button, {
    buttonState: "hover"
  }, "Default Button"), /*#__PURE__*/React.createElement(Button, {
    buttonState: "active"
  }, "Default Button"), /*#__PURE__*/React.createElement("div", null, "Default Inverted"), /*#__PURE__*/React.createElement(Button, {
    inverted: true
  }, "Default Inverted"), /*#__PURE__*/React.createElement(Button, {
    inverted: true,
    disabled: true
  }, "Default Inverted"), /*#__PURE__*/React.createElement(Button, {
    inverted: true,
    buttonState: "hover"
  }, "Default Inverted"), /*#__PURE__*/React.createElement(Button, {
    inverted: true,
    buttonState: "active"
  }, "Default Inverted"), /*#__PURE__*/React.createElement("div", null, "Primary"), /*#__PURE__*/React.createElement(Button, {
    type: "primary"
  }, "Primary Button"), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    disabled: true
  }, "Primary Button"), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    buttonState: "hover"
  }, "Primary Button"), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    buttonState: "active"
  }, "Primary Button"), /*#__PURE__*/React.createElement("div", null, "Primary Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    inverted: true
  }, "Primary Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    inverted: true,
    disabled: true
  }, "Primary Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    inverted: true,
    buttonState: "hover"
  }, "Primary Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    inverted: true,
    buttonState: "active"
  }, "Primary Inverted"), /*#__PURE__*/React.createElement("div", null, "Success"), /*#__PURE__*/React.createElement(Button, {
    type: "success"
  }, "Success Button"), /*#__PURE__*/React.createElement(Button, {
    type: "success",
    disabled: true
  }, "Success Button"), /*#__PURE__*/React.createElement(Button, {
    type: "success",
    buttonState: "hover"
  }, "Success Button"), /*#__PURE__*/React.createElement(Button, {
    type: "success",
    buttonState: "active"
  }, "Success Button"), /*#__PURE__*/React.createElement("div", null, "Success Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "success",
    inverted: true
  }, "Success Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "success",
    inverted: true,
    disabled: true
  }, "Success Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "success",
    inverted: true,
    buttonState: "hover"
  }, "Success Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "success",
    inverted: true,
    buttonState: "active"
  }, "Success Inverted"), /*#__PURE__*/React.createElement("div", null, "Warning"), /*#__PURE__*/React.createElement(Button, {
    type: "warning"
  }, "Warning Button"), /*#__PURE__*/React.createElement(Button, {
    type: "warning",
    disabled: true
  }, "Warning Button"), /*#__PURE__*/React.createElement(Button, {
    type: "warning",
    buttonState: "hover"
  }, "Warning Button"), /*#__PURE__*/React.createElement(Button, {
    type: "warning",
    buttonState: "active"
  }, "Warning Button"), /*#__PURE__*/React.createElement("div", null, "Warning Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "warning",
    inverted: true
  }, "Warning Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "warning",
    inverted: true,
    disabled: true
  }, "Warning Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "warning",
    inverted: true,
    buttonState: "hover"
  }, "Warning Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "warning",
    inverted: true,
    buttonState: "active"
  }, "Warning Inverted"), /*#__PURE__*/React.createElement("div", null, "Danger"), /*#__PURE__*/React.createElement(Button, {
    type: "danger"
  }, "Danger Button"), /*#__PURE__*/React.createElement(Button, {
    type: "danger",
    disabled: true
  }, "Danger Button"), /*#__PURE__*/React.createElement(Button, {
    type: "danger",
    buttonState: "hover"
  }, "Danger Button"), /*#__PURE__*/React.createElement(Button, {
    type: "danger",
    buttonState: "active"
  }, "Danger Button"), /*#__PURE__*/React.createElement("div", null, "Danger Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "danger",
    inverted: true
  }, "Danger Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "danger",
    inverted: true,
    disabled: true
  }, "Danger Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "danger",
    inverted: true,
    buttonState: "hover"
  }, "Danger Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "danger",
    inverted: true,
    buttonState: "active"
  }, "Danger Inverted"), /*#__PURE__*/React.createElement("div", null, "Plain"), /*#__PURE__*/React.createElement(Button, {
    type: "plain"
  }, "Plain Button"), /*#__PURE__*/React.createElement(Button, {
    type: "plain",
    disabled: true
  }, "Plain Button"), /*#__PURE__*/React.createElement(Button, {
    type: "plain",
    buttonState: "hover"
  }, "Plain Button"), /*#__PURE__*/React.createElement(Button, {
    type: "plain",
    buttonState: "active"
  }, "Plain Button"), /*#__PURE__*/React.createElement("div", null, "Plain Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "plain",
    inverted: true
  }, "Plain Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "plain",
    inverted: true,
    disabled: true
  }, "Plain Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "plain",
    inverted: true,
    buttonState: "hover"
  }, "Plain Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "plain",
    inverted: true,
    buttonState: "active"
  }, "Plain Inverted"), /*#__PURE__*/React.createElement("div", null, "Plain Mono"), /*#__PURE__*/React.createElement(Button, {
    type: "plainMono"
  }, "Plain Mono Button"), /*#__PURE__*/React.createElement(Button, {
    type: "plainMono",
    disabled: true
  }, "Plain Mono Button"), /*#__PURE__*/React.createElement(Button, {
    type: "plainMono",
    buttonState: "hover"
  }, "Plain Mono Button"), /*#__PURE__*/React.createElement(Button, {
    type: "plainMono",
    buttonState: "active"
  }, "Plain Mono Button"), /*#__PURE__*/React.createElement("div", null, "Plain Mono Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "plainMono",
    inverted: true
  }, "Plain Mono Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "plainMono",
    inverted: true,
    disabled: true
  }, "Plain Mono Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "plainMono",
    inverted: true,
    buttonState: "hover"
  }, "Plain Mono Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "plainMono",
    inverted: true,
    buttonState: "active"
  }, "Plain Mono Inverted"), /*#__PURE__*/React.createElement("div", null, "Plain Destructive"), /*#__PURE__*/React.createElement(Button, {
    type: "plainDestructive"
  }, "Plain Destructive Button"), /*#__PURE__*/React.createElement(Button, {
    type: "plainDestructive",
    disabled: true
  }, "Plain Destructive Button"), /*#__PURE__*/React.createElement(Button, {
    type: "plainDestructive",
    buttonState: "hover"
  }, "Plain Destructive Button"), /*#__PURE__*/React.createElement(Button, {
    type: "plainDestructive",
    buttonState: "active"
  }, "Plain Destructive Button"), /*#__PURE__*/React.createElement("div", null, "Plain Destructive Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "plainDestructive",
    inverted: true
  }, "Plain Destructive Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "plainDestructive",
    inverted: true,
    disabled: true
  }, "Plain Destructive Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "plainDestructive",
    inverted: true,
    buttonState: "hover"
  }, "Plain Destructive Inverted"), /*#__PURE__*/React.createElement(Button, {
    type: "plainDestructive",
    inverted: true,
    buttonState: "active"
  }, "Plain Destructive Inverted"));
};