import { Icon } from '@cloudflare/component-icon';
import { createStyledComponent } from '@cloudflare/style-container';
import React from 'react';
import TextButton from './TextButton';
var IconTextWrapper = createStyledComponent(() => ({
  display: 'flex',
  alignItems: 'center'
}), 'div');

var IconTextButton = _ref => {
  var {
    onClick,
    iconType,
    iconPosition = 'left',
    children
  } = _ref;
  return /*#__PURE__*/React.createElement(TextButton, {
    type: "button",
    onClick: onClick
  }, /*#__PURE__*/React.createElement(IconTextWrapper, null, iconPosition === 'left' && /*#__PURE__*/React.createElement(Icon, {
    type: iconType,
    mr: 1,
    ariaLabel: iconType
  }), children, iconPosition === 'right' && /*#__PURE__*/React.createElement(Icon, {
    type: iconType,
    ml: 1,
    ariaLabel: iconType
  })));
};

export default IconTextButton;