"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ButtonTypes = void 0;

var _react = _interopRequireDefault(require("react"));

var _Button = _interopRequireDefault(require("./Button"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  title: 'Example/Button',
  component: _Button.default
}; // Button Types

exports.default = _default;

var ButtonTypes = function ButtonTypes() {
  return /*#__PURE__*/_react.default.createElement("div", {
    style: {
      display: 'grid',
      gridTemplateColumns: 'auto 1fr 1fr 1fr 1fr',
      gap: '1rem',
      alignItems: 'center'
    }
  }, /*#__PURE__*/_react.default.createElement("div", null), " ", /*#__PURE__*/_react.default.createElement("div", null, "resting"), /*#__PURE__*/_react.default.createElement("div", null, "disabled"), /*#__PURE__*/_react.default.createElement("div", null, "hover"), /*#__PURE__*/_react.default.createElement("div", null, "active"), /*#__PURE__*/_react.default.createElement("div", null, "Default"), /*#__PURE__*/_react.default.createElement(_Button.default, null, "Default Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    disabled: true
  }, "Default Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    buttonState: "hover"
  }, "Default Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    buttonState: "active"
  }, "Default Button"), /*#__PURE__*/_react.default.createElement("div", null, "Default Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    inverted: true
  }, "Default Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    inverted: true,
    disabled: true
  }, "Default Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    inverted: true,
    buttonState: "hover"
  }, "Default Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    inverted: true,
    buttonState: "active"
  }, "Default Inverted"), /*#__PURE__*/_react.default.createElement("div", null, "Primary"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "primary"
  }, "Primary Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "primary",
    disabled: true
  }, "Primary Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "primary",
    buttonState: "hover"
  }, "Primary Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "primary",
    buttonState: "active"
  }, "Primary Button"), /*#__PURE__*/_react.default.createElement("div", null, "Primary Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "primary",
    inverted: true
  }, "Primary Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "primary",
    inverted: true,
    disabled: true
  }, "Primary Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "primary",
    inverted: true,
    buttonState: "hover"
  }, "Primary Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "primary",
    inverted: true,
    buttonState: "active"
  }, "Primary Inverted"), /*#__PURE__*/_react.default.createElement("div", null, "Success"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "success"
  }, "Success Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "success",
    disabled: true
  }, "Success Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "success",
    buttonState: "hover"
  }, "Success Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "success",
    buttonState: "active"
  }, "Success Button"), /*#__PURE__*/_react.default.createElement("div", null, "Success Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "success",
    inverted: true
  }, "Success Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "success",
    inverted: true,
    disabled: true
  }, "Success Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "success",
    inverted: true,
    buttonState: "hover"
  }, "Success Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "success",
    inverted: true,
    buttonState: "active"
  }, "Success Inverted"), /*#__PURE__*/_react.default.createElement("div", null, "Warning"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "warning"
  }, "Warning Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "warning",
    disabled: true
  }, "Warning Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "warning",
    buttonState: "hover"
  }, "Warning Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "warning",
    buttonState: "active"
  }, "Warning Button"), /*#__PURE__*/_react.default.createElement("div", null, "Warning Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "warning",
    inverted: true
  }, "Warning Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "warning",
    inverted: true,
    disabled: true
  }, "Warning Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "warning",
    inverted: true,
    buttonState: "hover"
  }, "Warning Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "warning",
    inverted: true,
    buttonState: "active"
  }, "Warning Inverted"), /*#__PURE__*/_react.default.createElement("div", null, "Danger"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "danger"
  }, "Danger Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "danger",
    disabled: true
  }, "Danger Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "danger",
    buttonState: "hover"
  }, "Danger Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "danger",
    buttonState: "active"
  }, "Danger Button"), /*#__PURE__*/_react.default.createElement("div", null, "Danger Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "danger",
    inverted: true
  }, "Danger Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "danger",
    inverted: true,
    disabled: true
  }, "Danger Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "danger",
    inverted: true,
    buttonState: "hover"
  }, "Danger Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "danger",
    inverted: true,
    buttonState: "active"
  }, "Danger Inverted"), /*#__PURE__*/_react.default.createElement("div", null, "Plain"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plain"
  }, "Plain Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plain",
    disabled: true
  }, "Plain Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plain",
    buttonState: "hover"
  }, "Plain Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plain",
    buttonState: "active"
  }, "Plain Button"), /*#__PURE__*/_react.default.createElement("div", null, "Plain Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plain",
    inverted: true
  }, "Plain Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plain",
    inverted: true,
    disabled: true
  }, "Plain Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plain",
    inverted: true,
    buttonState: "hover"
  }, "Plain Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plain",
    inverted: true,
    buttonState: "active"
  }, "Plain Inverted"), /*#__PURE__*/_react.default.createElement("div", null, "Plain Mono"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plainMono"
  }, "Plain Mono Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plainMono",
    disabled: true
  }, "Plain Mono Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plainMono",
    buttonState: "hover"
  }, "Plain Mono Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plainMono",
    buttonState: "active"
  }, "Plain Mono Button"), /*#__PURE__*/_react.default.createElement("div", null, "Plain Mono Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plainMono",
    inverted: true
  }, "Plain Mono Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plainMono",
    inverted: true,
    disabled: true
  }, "Plain Mono Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plainMono",
    inverted: true,
    buttonState: "hover"
  }, "Plain Mono Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plainMono",
    inverted: true,
    buttonState: "active"
  }, "Plain Mono Inverted"), /*#__PURE__*/_react.default.createElement("div", null, "Plain Destructive"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plainDestructive"
  }, "Plain Destructive Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plainDestructive",
    disabled: true
  }, "Plain Destructive Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plainDestructive",
    buttonState: "hover"
  }, "Plain Destructive Button"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plainDestructive",
    buttonState: "active"
  }, "Plain Destructive Button"), /*#__PURE__*/_react.default.createElement("div", null, "Plain Destructive Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plainDestructive",
    inverted: true
  }, "Plain Destructive Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plainDestructive",
    inverted: true,
    disabled: true
  }, "Plain Destructive Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plainDestructive",
    inverted: true,
    buttonState: "hover"
  }, "Plain Destructive Inverted"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    type: "plainDestructive",
    inverted: true,
    buttonState: "active"
  }, "Plain Destructive Inverted"));
};

exports.ButtonTypes = ButtonTypes;